export const ROLE_TYPE = {
  ADMIN: '系统管理员',
  PMO: '总负责人',
  BUSSINESS: '业务线负责人',
  REGION_MANAGER: '大区经理',
  REGION_COORDINATOR: '区域协调人',
  EFFECT_ENGINEER: '实施工程师',
  ASSISTANT_ENGINEER: '助理工程师',
  ACCOUNT_MANAGER: '客户经理',
  QA: 'QA',
  CUSTOM: '技术客服',
  DEFINED: '自定义',
};
export const GENDER_TYPE = {
  MAN: '男',
  WOMAN: '女',
};
export const EDUCATION_TYPE = {
  BACHELOR_DEGREE: '本科及以上',
  JUNIOR_COLLEGE: '大专',
  HIGH_SCHOOL: '高中',
  MIDDLE_SCHOOL: '初中',
};
// 启用/禁用
export const TRUE_OR_FALSE_TYPE = {
  true: '是',
  false: '否',
};
// 启用/禁用
export const ABLE_TYPE = {
  true: '启用',
  false: '禁用',
};
// 审核结果
export const AUDITING_RESULT = {
  NO_PASS: '未通过',
  PASS: '通过',
};
// 系统管理 ------->
// 客户类型
export const CUSTOMER_TYPE = {
  OFFICE: '高校教务处',
  CLOUD_MARK: '研究生',
};
// 供应商类型
export const SUPPLIER_TYPE = {
  HUMAN: '人力供应商',
  DEVICE: '设备供应商',
};
// 设备状态
export const RUNNING_STATUS = {
  NORMAL: '正常',
  BREAK_DOWN: '故障',
};
// 公告类型
export const NOTICE_TYPE = {
  SYSTEM: '公告',
  SERVICE: '服务单元通知',
  SUPPLIER: '供应商通知',
};
export const PUBLISH_STATUS = {
  PUBLISH: '已发布',
  UN_PUBLISH: '未发布',
};
// 数据管理
export const DATA_TASK_STATUS = {
  INIT: '未开始',
  RUNNING: '进行中',
  FINISH: '已完成',
};
export const DATA_TASK_RESULT = {
  SUCCESS: '成功',
  ERROR: '失败',
};
export const DATA_TASK_TYPE = {
  USER_ARCHIVES_IMPORT: '人员档案导入',
  USER_ARCHIVES_EXPORT: '档案导出',
};
// 服务单元管理 ------->
// 服务单元管理
export const SERVICE_UNIT_STATUS = {
  NEW: '新建',
  PUBLISH: '已发布',
  FINISH: '已完结',
  // CANCEL: '已作废',
};

// 项目质量管理 ------->
// 问题类型
export const ISSUES_TYPE = {
  UPDATE: '修正类',
  OPTIMIZE: '优化类',
  NO_PROBLEM: '不是问题',
};
// 问题原因类型
export const ISSUES_REASON_TYPE = {
  EXEC: '执行类',
  MANAGER: '管理协调类',
  FLOW: '流程制度类',
  PRODUCT_PROBLEM: '产品缺陷类',
  PRODUCT_MANAGER: '产品运维类',
  OTHER: '其它',
};
export const ISSUES_INFLUENCE_DEGREE = ['A', 'B', 'C', 'D'];

// 工时管理
// 考勤类型
export const ATTENDANCE_TYPE = {
  IN: '签到',
  OUT: '签退',
};
export const ATTENDANCE_RESULT = {
  NORMAL: '正常',
  ABNORMAL: '异常',
};
// 考勤提交
export const ATTENDANCE_SUBMIT_STATUS = {
  WILL_SUBMIT: '待提交',
  ALREADY_SUBMIT: '已提交',
  APPLY_WITHDRAW: '已提交',
  AGREE_WITHDRAW: '待提交',
  AGREE_DING: '审核通过',
};
// 工时统计
export const ATTENDANCE_STATISTICS_SUBMIT_STATUS = {
  WILL_SUBMIT: '--',
  ALREADY_SUBMIT: '已提交',
  APPLY_WITHDRAW: '申请撤回',
  AGREE_WITHDRAW: '已撤回',
  AGREE_DING: '审核通过',
};
// 资源保障
// 人员档案管理
export const AUTHENTICATION_STATUS = {
  true: '有效',
  false: '无效',
};
export const AUTHENTICATION_ROLE = {
  REGION_COORDINATOR: '区域协调人',
  EFFECT_ENGINEER: '实施工程师',
  ASSISTANT_ENGINEER: '助理工程师',
};
// 出入库
export const INOUT_TYPE = {
  IN: '入库',
  OUT: '出库',
};
export const DEVICE_USAGE_TYPE = {
  PROJECT: '项目',
  OTHER: '其他',
};
// 派单发布状态
export const CRM_STATUS = {
  UN_PUBLISH: '未发布',
  PUBLISH: '已发布',
  FINISH: '已完成',
};

// SOP
export const FLOW_STATUS = {
  START: '已开始',
  AUDITING: '审核中',
  REJECT: '已驳回',
  END: '已终止',
  FINISH: '已结束',
};
//工作台-消息类型
export const MESSAGE_TYPE = {
  BEFORE: '提前提醒',
  AFTER: '延期提醒',
  // OFFICE_SOP: '教务处SOP',
  // CLOUD_MARK_SOP: '云阅卷SOP',
  QUALITY: '质量问题提醒',
  EXCEPTION_APPROVE: '异常审核提醒',
  VIOLATION: '违规提醒',
  SYSTEM_PLAN_CHANGE: '系统计划变更提醒',
  // SYSTEM: '系统公告',
};

//工作台-待办类型
export const WAIT_HANDLE_TYPE = {
  // OFFICE_SOP_FLOW: '教务处SOP',
  // CLOUD_MARK_SOP_FLOW: '云阅卷SOP',
  // DING_EXCEPTION_FLOW: '考勤异常审核流程',
  // PROJECT_EXCHANGE_FLOW: '项目计划变更流程',
  // QUALITY_PROBLEM_FLOW: '质量问题反馈流程',

  OFFICE_SOP_FLOW: '教务处SOP',
  CLOUD_MARK_SOP_FLOW: '研究生SOP',
  DING_EXCEPTION_FLOW: '异常审核',
  PROJECT_EXCHANGE_FLOW: '系统计划变更',
  QUALITY_PROBLEM_FLOW: '质量问题反馈',
};
// SOP管理-延期预警-预警类型
export const WARN_TYPE = {
  PLAN: '关键信息及计划',
  TIME: '处理时限',
  // CANCEL: '取消',
};

//SOP管理-延期预警-跟进状态
export const WARN_FLOW_STATUS = {
  NOT_START: '待跟进',
  FOLLOW: '跟进中',
  CLOSE: '已关闭',
  RESTART: '已重启',
};

//违规登记类型
export const VIOLATION_TYPE = {
  CONTENT_ERROR: '内容错误虚假',
  LOGIC_ERROR: '逻辑不合理',
  OTHER: '其他',
};
//SOP管理-违规登记-跟进状态
export const VIOLATION_FLOW_STATUS = {
  NOT_START: '待跟进',
  FOLLOW: '跟进中',
  CLOSE: '已关闭',
  RESTART: '已重启',
};
//项目计划变更-变更类型
export const PLAN_CHANGE_TYPE = {
  PLAN: '关键信息及计划变更',
  CANCEL: '项目取消',
};
//流程状态
export const FLOW_CHECK_STATUS = {
  UN_APPROVE: '待审核',
  APPROVE: '已审核',
};
export const DATA_PRIVILEGE_TYPE = {
  SELF: '仅本人数据权限',
  SELF_ORG: '本部门数据权限',
  SELF_ORG_BELOW: '本部门及下级部门数据权限',
  ALL: '全部数据权限',
};

// export const DEVICE_SEND_STATUS = {
//   UN_DELIVER: '待发货',
//   DELIVER: '已发货',
//   RECEIVE: '已签收',
//   // CANCEL: '作废',
//   RETURN: '已返还',
// };
export const DEVICE_SEND_STATUS = {
  UN_DELIVER: '待发货',
  DELIVER: '已发货',
  USING: '使用中',
  TRANSFER: '中转',
  TRANSFER_SIGN: '中转已签收',
  IN: '入库',
  RECEIVE: '已签收',
  CANCEL: '作废',
};

export const SERVICE_RANGE = {
  SCAN: '仅扫描',
  SCAN_MARK: '扫描+阅卷',
};

export const DEVICE_SIGN_STATUS = {
  UN_DELIVER: '代发货',
  DELIVER: '已发货',
  USING: '使用中',
  TRANSFER: '中转',
  TRANSFER_SIGN: '中转已签收',
  IN: '入库',
  RECEIVE: '已签收',
  CANCEL: '作废',
  RETURN: '已返还',
};

export const DEVICE_TRANSPORT_METHOD = {
  MAIL: '邮寄',
  OTHER: '其它',
};

export const PROJECT_PROCESS = {
  PREPARE: '准备',
  SCAN: '扫描',
  MARK: '评卷',
  FINAL: '收尾',
  FINISH: '已完成',
};

export const STATISTICAL_DIMENSION = {
  BY_PERSON: '按人员统计',
  BY_SOP: '按sop统计',
  BY_CRM: '按派单统计',
  BY_CUSTOM: '按客户统计',
  BY_SUPPLIER: '按供应商统计',
};
